# - Try to find Octave (development)
# Once done this will define
#  LIBXML2_FOUND - System has LibXml2
#  OCTAVE_INCLUDE_DIRS - The LibXml2 include directories
#  OCTAVE_LIBRARIES - The libraries needed to use LibXml2
##  LIBXML2_DEFINITIONS - Compiler switches required for using LibXml2

find_package(PkgConfig)
pkg_check_modules(PC_OCTAVE QUIET liboctave)
#set(LIBXML2_DEFINITIONS ${PC_LIBXML_CFLAGS_OTHER})

find_path(OCTAVE_INCLUDE_DIR "octave/octave.h"
          HINTS ${PC_OCTAVE_INCLUDEDIR} ${PC_OCTAVE_INCLUDE_DIRS}
          PATH_SUFFIXES "octave-3.6.2/" "octave-3.6.3/" "octave-3.6.4/" )

# FIND_LIBRARY(OCTAVE_LIBRARY octinterp )
#FIND_LIBRARY(OCTAVE_LIBRARY octinterp PATHS /usr/lib/octave-3.2.4/ )
FIND_LIBRARY(OCTAVE_LIBRARY_OCTINTERP octinterp 
  HINTS ${PC_OCTAVE_LIBDIR} ${PC_OCTAVE_LIBRARY_DIRS} 
  PATH_SUFFIXES "octave-3.2.4/"  )
  FIND_LIBRARY(OCTAVE_LIBRARY_OCTAVE octave 
  HINTS ${PC_OCTAVE_LIBDIR} ${PC_OCTAVE_LIBRARY_DIRS} 
  PATH_SUFFIXES "octave-3.2.4/"  )
  FIND_LIBRARY(OCTAVE_LIBRARY_CRUFT cruft 
  HINTS ${PC_OCTAVE_LIBDIR} ${PC_OCTAVE_LIBRARY_DIRS} 
  PATH_SUFFIXES "octave-3.2.4/"  )
#FIND_LIBRARY(OCTAVE_LIBRARY octinterp PATH_SUFFIXES octave-* )
#find_library(OCTAVE_LIBRARY NAMES xml2 libxml2 HINTS ${PC_OCTAVE_LIBDIR} ${PC_OCTAVE_LIBRARY_DIRS} )
#message(STATUS "WOOOL: ${OCTAVE_LIBRARY}")

set(OCTAVE_LIBRARY ${OCTAVE_LIBRARY_OCTINTERP} )
set(OCTAVE_LIBRARIES ${OCTAVE_LIBRARY} )
set(OCTAVE_INCLUDE_DIRS ${OCTAVE_INCLUDE_DIR} )

include(FindPackageHandleStandardArgs)
# handle the QUIETLY and REQUIRED arguments and set LIBXML2_FOUND to TRUE
# if all listed variables are TRUE
find_package_handle_standard_args(Octave  DEFAULT_MSG
                                  OCTAVE_LIBRARY OCTAVE_INCLUDE_DIR)

mark_as_advanced(
  OCTAVE_INCLUDE_DIR 
  OCTAVE_LIBRARY 
  OCTAVE_LIBRARY_OCTINTERP
  OCTAVE_LIBRARY_OCTAVE
  OCTAVE_LIBRARY_CRUFT
)

